package com.aucma.api.domain.dto;

import java.util.List;

/**
 * @author wanghao
 * @date 2023/11/21  16:44
 */
public class CheckInfoDto {
    private String code;//产品条码
    private String name;//产品型号
    private String measure;//处置措施 3=放行,1=返修
    private List<DefectBeen> list;//缺陷列表
    private String stationCode;
    private String userName;
    private String teamCode;
    public String getMeasure() {
        return measure;
    }

    public String getTeamCode() {
        return teamCode;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public void setMeasure(String measure) {
        this.measure = measure;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<DefectBeen> getList() {
        return list;
    }

    public void setList(List<DefectBeen> list) {
        this.list = list;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public static class DefectBeen {
        private int objId;
        private String qualityDefectCode;
        private String qualityDefectName;
        private String stationCode;

        public DefectBeen() {
        }

        public int getObjId() {
            return objId;
        }

        public void setObjId(int objId) {
            this.objId = objId;
        }

        public void setStationCode(String stationCode) {
            this.stationCode = stationCode;
        }

        public String getQualityDefectCode() {
            return qualityDefectCode;
        }

        public void setQualityDefectCode(String qualityDefectCode) {
            this.qualityDefectCode = qualityDefectCode;
        }

        public String getQualityDefectName() {
            return qualityDefectName;
        }

        public void setQualityDefectName(String qualityDefectName) {
            this.qualityDefectName = qualityDefectName;
        }

        public String getStationCode() {
            return stationCode;
        }

        public void setItemCode(String stationCode) {
            this.stationCode = stationCode;
        }


    }
}
